CREATE TABLE fun_outbound_consumers (
    CONSUMER_ID            NUMBER(18, 0) ,
    CONSUMER_CODE          VARCHAR2(960)     NOT NULL,
    CONSUMER_GROUP_CODE    VARCHAR2(120)     NOT NULL,
    CONSUMER_NAME          VARCHAR2(960)     NOT NULL,
    DATA_FORMAT            VARCHAR2(960)     NOT NULL,
    EXTRACT_ENGINE         VARCHAR2(960)     NOT NULL,
    EXTRACT_MODE           VARCHAR2(256)     NOT NULL,
    TARGET_STORE           VARCHAR2(256)     NOT NULL,
    ENABLED_FLAG           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    MODULE_ID              VARCHAR2(128) ,
    APPLICATION_ID         NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE       VARCHAR2(2048)    NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    CONSUMER_ID            NUMBER(18, 0) ,
    CONSUMER_CODE          VARCHAR2(960)     NOT NULL,
    CONSUMER_GROUP_CODE    VARCHAR2(120)     NOT NULL,
    CONSUMER_NAME          VARCHAR2(960)     NOT NULL,
    DATA_FORMAT            VARCHAR2(960)     NOT NULL,
    EXTRACT_ENGINE         VARCHAR2(960)     NOT NULL,
    EXTRACT_MODE           VARCHAR2(256)     NOT NULL,
    TARGET_STORE           VARCHAR2(256)     NOT NULL,
    ENABLED_FLAG           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET1          VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2          VARCHAR2(4)       NOT NULL,
    MODULE_ID              VARCHAR2(128) ,
    APPLICATION_ID         NUMBER(18, 0)     NOT NULL,
    SEED_DATA_SOURCE       VARCHAR2(2048)    NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    CONSTRAINT pk_fun_outbound_consumers PRIMARY KEY (CONSUMER_ID, CONSUMER_ID)
);
